Skip to main content
POST
/
pending-image-shares
/
{pendingShareId}
/
decline
Decline a pending image share
curl --request POST \
  --url https://api.blaxel.ai/v0/pending-image-shares/{pendingShareId}/decline \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://api.blaxel.ai/v0/pending-image-shares/{pendingShareId}/decline"

headers = {"Authorization": "Bearer <token>"}

response = requests.post(url, headers=headers)

print(response.text)
const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};

fetch('https://api.blaxel.ai/v0/pending-image-shares/{pendingShareId}/decline', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));



Authorizations

Authorization
string
header
required

OAuth2 authentication with JWT tokens

Path Parameters

pendingShareId
string
required

ID of the pending image share

Response

successfully declined

Last modified on July 1, 2026